package com.mortals.xhx.common.pdu;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 权重pdu
 */
@Data
public class WeightPdu {
    private static BigDecimal NUMBER_100 = new BigDecimal(100);
    /**
     * 自评权重
     */
    private Integer selfWeight=20;

    /**
     * 考勤权重
     */
    private Integer attendWeight=20;

    /**
     * 效能权重
     */
    private Integer effectWeight=20;

    /**
     * 办件权重
     */
    private Integer goworkWeight=20;

    /**
     * 评价权重
     */
    private Integer reviewWeight=20;


    public BigDecimal selfWeight(){
        return new BigDecimal(this.selfWeight).divide(NUMBER_100);
    }
    public BigDecimal attendWeight(){
        return new BigDecimal(this.attendWeight).divide(NUMBER_100);
    }
    public BigDecimal effectWeight(){
        return new BigDecimal(this.effectWeight).divide(NUMBER_100);
    }
    public BigDecimal goworkWeight(){
        return new BigDecimal(this.goworkWeight).divide(NUMBER_100);
    }
    public BigDecimal reviewWeight(){
        return new BigDecimal(this.reviewWeight).divide(NUMBER_100);
    }

}
